Summary:        Perl version normalization for RPM
Name:           perl-Fedora-VSP
Version:        0.001
Release:        5%{?dist}
License:        GPLv3+
URL:            https://ppisar.fedorapeople.org/Fedora-VSP/
Source0:        %{url}Fedora-VSP-%{version}.tar.gz

BuildRequires:  findutils make perl-interpreter
%if 0%{?perl_bootstrap}
BuildRequires:  perl-macros
%else
BuildRequires:  perl-generators
%endif
BuildRequires:  perl(ExtUtils::MakeMaker) perl(strict) perl(warnings)
BuildRequires:  perl(Test::More) perl(version)
%if 0%{?perl_bootstrap}
Requires:       perl(strict) perl(warnings)
Provides:       perl(Fedora::VSP) = %{version}
%endif
BuildArch:      noarch

%description
This module provides functions for normalizing Perl version strings for
Red Hat Package (RPM) based Linux distributions.

%prep
%autosetup -n Fedora-VSP-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license COPYING
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.001-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.001-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.001-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.001-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 22 2022 Xiaojie Chen <jackxjchen@tencent.com> - 0.001-1
- Initial build
